InterfaceGraphique

## Class SplashScreen

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - javax.swing.JWindow
        - - InterfaceGraphique.SplashScreen

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer

      public class SplashScreen
      extends javax.swing.JWindow

  Ecran affiché au démarage de l'application.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JWindow

      `javax.swing.JWindow.AccessibleJWindow`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LOADING_BDD_CONF` Chargement configuration bdd.
    `static int` | `LOADING_BDD_CONNECT` Connection à la bdd.
    `static int` | `LOADING_CREATE_PANEL_CATEGORIES` Création panneau de gestion des catégorie.
    `static int` | `LOADING_CREATE_PANEL_QUESTIONS` Création panneau de gestion des questions.
    `static int` | `LOADING_CREATE_PANEL_REPONSES` Création panneau de gestion des réponses.
    `static int` | `LOADING_CREATE_STATUS_BAR` Création barre de statut.
    `static int` | `LOADING_READY` Chargement terminé.
    `static int` | `LOADING_RSC` Chargement des ressources graphiques.
    `static int` | `LOADING_SETUP_UI` Chargement de l'IHM.
    `private javax.swing.JProgressBar` | `progressBar` Barre de progression.

    - ### Fields inherited from class javax.swing.JWindow

      `accessibleContext, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplashScreen(javax.swing.JFrame owner)` Constructeur initiant les différents membres et construisant l'interface du splashscreen.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLoadingProgress(int status)` Change l'état du splashscreen: avance l'état de la barre de chargement et change son texte.

    - ### Methods inherited from class javax.swing.JWindow

      `addImpl, createRootPane, getAccessibleContext, getContentPane, getGlassPane, getGraphics, getLayeredPane, getRootPane, getTransferHandler, isRootPaneCheckingEnabled, paramString, remove, repaint, setContentPane, setGlassPane, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update, windowInit`

    - ### Methods inherited from class java.awt.Window

      `addNotify, addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBackground, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setOpacity, setShape, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### progressBar

          private javax.swing.JProgressBar progressBar

      Barre de progression.

    - #### LOADING_BDD_CONF

          public static final int LOADING_BDD_CONF

      Chargement configuration bdd.
      See Also:
        Constant Field Values

    - #### LOADING_BDD_CONNECT

          public static final int LOADING_BDD_CONNECT

      Connection à la bdd.
      See Also:
        Constant Field Values

    - #### LOADING_RSC

          public static final int LOADING_RSC

      Chargement des ressources graphiques.
      See Also:
        Constant Field Values

    - #### LOADING_CREATE_STATUS_BAR

          public static final int LOADING_CREATE_STATUS_BAR

      Création barre de statut.
      See Also:
        Constant Field Values

    - #### LOADING_CREATE_PANEL_CATEGORIES

          public static final int LOADING_CREATE_PANEL_CATEGORIES

      Création panneau de gestion des catégorie.
      See Also:
        Constant Field Values

    - #### LOADING_CREATE_PANEL_REPONSES

          public static final int LOADING_CREATE_PANEL_REPONSES

      Création panneau de gestion des réponses.
      See Also:
        Constant Field Values

    - #### LOADING_CREATE_PANEL_QUESTIONS

          public static final int LOADING_CREATE_PANEL_QUESTIONS

      Création panneau de gestion des questions.
      See Also:
        Constant Field Values

    - #### LOADING_SETUP_UI

          public static final int LOADING_SETUP_UI

      Chargement de l'IHM.
      See Also:
        Constant Field Values

    - #### LOADING_READY

          public static final int LOADING_READY

      Chargement terminé.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SplashScreen

          public SplashScreen(javax.swing.JFrame owner)

      Constructeur initiant les différents membres et construisant l'interface du splashscreen.
      Parameters:
        `owner` - Parent.

  - ### Method Detail

    - #### setLoadingProgress

          public void setLoadingProgress(int status)

      Change l'état du splashscreen: avance l'état de la barre de chargement et change son texte. Une pause de 250ms est imposée entre chaque état du chargement pour faciliter la lecture des message.
      Parameters:
        `status` - Une des constantes de classes représentant un état du chargement.